Skip to main content
GET
/
key_link
/
validation_keys
TypeScript
const response: Promise<FireblocksResponse<GetValidationKeyResponseDto>> = fireblocks.keyLinkBeta.getValidationKeysList(keyLinkBetaApiGetValidationKeysListRequest);
{
  "data": [
    {
      "keyId": "46a92767-5f93-4a46-9eed-f012196bb4fc",
      "publicKeyPem": "-----BEGIN PUBLIC KEY ...  END PUBLIC KEY-----",
      "daysTillExpired": 365,
      "enabled": false,
      "createdAt": 12345633
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Cursor to the next page

pageSize
number
default:10

Amount of results to return in the next page

Required range: 1 <= x <= 50
sortBy
enum<string>
default:createdAt

Field(s) to use for sorting

Available options:
createdAt
order
enum<string>
default:ASC

Is the order ascending or descending

Available options:
ASC,
DESC

Response

Validation keys list along with data required to request the next page if applicable

data
object[]
required

Response object for getting external validation keys.

next
string

The ID of the next page